## ghostwriter 2.1.1

=== translations/CMakeLists.txt ===
find_package(Qt5 COMPONENTS Widgets LinguistTools)

set(ghostwriter_TRANSLATIONS
  ghostwriter_ar.ts
  ghostwriter_cs.ts
  ghostwriter_de.ts
  ghostwriter_en.ts
  ghostwriter_es.ts
  ghostwriter_fr.ts
  ghostwriter_it.ts
  ghostwriter_ja.ts
  ghostwriter_nb_NO.ts
  ghostwriter_nl.ts
  ghostwriter_pl.ts
  ghostwriter_pt_BR.ts
  ghostwriter_ru.ts
  ghostwriter_sv.ts
  ghostwriter_zh.ts
)

qt5_add_translation(QM_FILES
  ${ghostwriter_TRANSLATIONS}
)
add_custom_target(add_translations ALL DEPENDS ${QM_FILES})

qt5_create_translation(QM_FILE_UPDATES
  ${CMAKE_SOURCE_DIR}/src
  ${ghostwriter_TRANSLATIONS}
)
add_custom_target(update_translations DEPENDS ${QM_FILE_UPDATES})

install(FILES ${QM_FILES}
  DESTINATION ${CMAKE_INSTALL_DATADIR}/ghostwriter/translations
)

=== 3rdparty/cmark-gfm/CMakeLists.txt ===
set(cmark_SOURCES
  core/arena.c
  core/blocks.c
  core/buffer.c
  core/cmark.c
  core/cmark_ctype.c
  core/commonmark.c
  core/footnotes.c
  core/houdini_href_e.c
  core/houdini_html_e.c
  core/houdini_html_u.c
  core/html.c
  core/inlines.c
  core/iterator.c
  core/latex.c
  core/linked_list.c
  core/man.c
  core/map.c
  core/node.c
  core/plaintext.c
  core/plugin.c
  core/references.c
  core/registry.c
  core/render.c
  core/scanners.c
  core/syntax_extension.c
  core/utf8.c
  core/xml.c
  extensions/autolink.c
  extensions/core-extensions.c
  extensions/ext_scanners.c
  extensions/strikethrough.c
  extensions/table.c
  extensions/tagfilter.c
  extensions/tasklist.c
)

if(NOT TARGET CommonMarkGfm)
  add_library(CommonMarkGfm
    ${cmark_SOURCES}
  )
endif()
target_include_directories(CommonMarkGfm PUBLIC
  ${CMAKE_CURRENT_SOURCE_DIR}/core
  ${CMAKE_CURRENT_SOURCE_DIR}/extensions
)

=== 3rdparty/hunspell/CMakeLists.txt ===
set(hunspell_SOURCES
  affentry.cxx
  affixmgr.cxx
  csutil.cxx
  filemgr.cxx
  hashmgr.cxx
  hunspell.cxx
  hunzip.cxx
  phonet.cxx
  replist.cxx
  suggestmgr.cxx
)

if(NOT TARGET hunspell)
  add_library(hunspell
    ${hunspell_SOURCES}
  )
endif()
target_include_directories(hunspell PUBLIC
  ${CMAKE_CURRENT_SOURCE_DIR}
)
target_compile_definitions(hunspell PUBLIC
  HUNSPELL_STATIC
)

target_link_libraries(ghostwriter PRIVATE hunspell)

## ghostwriter 1.5.0+ds2

=== debian/changelog ===
ghostwriter (1.5.0+ds2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Nov 2017 09:25:45 -0800

ghostwriter (1.5.0+ds2-1ppa2~artful1) artful; urgency=low

  * Dependency fix for Artful Aardvark.

 -- wereturtle <wereturtledev@gmail.com>  Thu, 31 Aug 2017 23:00:00 -0700
 

ghostwriter (1.5.0+ds1-1ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 17 May 2017 13:00:00 -0700
 

ghostwriter (1.5.0-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 17 May 2017 11:15:00 -0700

ghostwriter (1.4.2-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 23 Aug 2016 09:06:00 -0700

ghostwriter (1.4.1-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 14 Aug 2016 15:02:00 -0700

ghostwriter (1.4.0-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 23 Jul 2016 11:40:00 -0700

ghostwriter (1.3.1-1ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 28 Feb 2016 15:40:00 -0700

ghostwriter (1.3.1-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 27 Feb 2016 15:18:00 -0700

ghostwriter (1.3.0-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 27 Feb 2016 12:51:00 -0700

ghostwriter (1.2.5-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 13 Dec 2015 12:51:00 -0700

ghostwriter (1.2.4-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 28 Nov 2015 11:14:00 -0700

ghostwriter (1.2.3-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 31 Oct 2015 11:47:00 -0700

ghostwriter (1.2.2-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 10 Oct 2015 16:52:00 -0700

ghostwriter (1.2.1-0ppa1~artful1) artful; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 03 Oct 2015 00:04:00 -0700

ghostwriter (1.2.0-0ppa1~artful1) artful; urgency=low

  * Initial release for Ubuntu.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 27 Sep 2015 00:44:56 -0700

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: wereturtle <wereturtledev@gmail.com>
Build-Depends: debhelper (>= 9),
		qtbase5-dev,
		libqt5svg5-dev,
		qtmultimedia5-dev,
		libqt5webkit5-dev,
		libhunspell-dev,
		pkg-config
Standards-Version: 3.9.7
Homepage: http://wereturtle.github.io/ghostwriter/
#Vcs-Git: git://git.debian.org/collab-maint/ghostwriter.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostwriter.git;a=summary

Package: ghostwriter
Architecture: any
Depends: libqt5concurrent5,
         libqt5printsupport5,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: hunspell-dictionary, myspell-dictionary
Description: Distraction-free, themeable Markdown editor
 Ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount or cmark processors.  It also features a
 live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

=== debian/watch ===
version=3
https://github.com/wereturtle/ghostwriter/releases /wereturtle/ghostwriter/archive/v(.+)\.tar\.gz

## ghostwriter 1.7.3

=== debian/changelog ===
ghostwriter (1.7.3-0.1~mx17+2) UNRELEASED; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Sep 2018 15:45:39 -0700

ghostwriter (1.7.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Add qttools5-dev-tools to B-D.
  * Disable automatic dbgsym files.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Jul 2018 08:11:27 -0700

ghostwriter (1.7.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 Jul 2018 14:20:56 -0700

ghostwriter (1.6.2-0.2~mx17+2) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Jun 2018 18:13:17 -0700

ghostwriter (1.6.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 15 Apr 2018 15:32:00 -0700
 

ghostwriter (1.6.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 8 Apr 2018 16:30:00 -0700

ghostwriter (1.6.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 7 Apr 2018 14:30:00 -0700

ghostwriter (1.5.0+ds2-1ppa2~xenial1) xenial; urgency=low

  * Dependency fix for Artful Aardvark.

 -- wereturtle <wereturtledev@gmail.com>  Thu, 31 Aug 2017 23:00:00 -0700
 

ghostwriter (1.5.0+ds1-1ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 17 May 2017 13:00:00 -0700
 

ghostwriter (1.5.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 17 May 2017 11:15:00 -0700

ghostwriter (1.4.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 23 Aug 2016 09:06:00 -0700

ghostwriter (1.4.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 14 Aug 2016 15:02:00 -0700

ghostwriter (1.4.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 23 Jul 2016 11:40:00 -0700

ghostwriter (1.3.1-1ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 28 Feb 2016 15:40:00 -0700

ghostwriter (1.3.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 27 Feb 2016 15:18:00 -0700

ghostwriter (1.3.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 27 Feb 2016 12:51:00 -0700

ghostwriter (1.2.5-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 13 Dec 2015 12:51:00 -0700

ghostwriter (1.2.4-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 28 Nov 2015 11:14:00 -0700

ghostwriter (1.2.3-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 31 Oct 2015 11:47:00 -0700

ghostwriter (1.2.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 10 Oct 2015 16:52:00 -0700

ghostwriter (1.2.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release.

 -- wereturtle <wereturtledev@gmail.com>  Sat, 03 Oct 2015 00:04:00 -0700

ghostwriter (1.2.0-0ppa1~xenial1) xenial; urgency=low

  * Initial release for Ubuntu.

 -- wereturtle <wereturtledev@gmail.com>  Sun, 27 Sep 2015 00:44:56 -0700

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: wereturtle <wereturtledev@gmail.com>
Build-Depends: debhelper (>= 9),
		qtbase5-dev (>= 5.5),
		libqt5svg5-dev (>= 5.5),
		qtmultimedia5-dev (>= 5.5),
		libqt5webkit5-dev (>= 5.5),
		qttools5-dev-tools (>= 5.5),
		libhunspell-dev,
		pkg-config
Standards-Version: 3.9.7
Homepage: http://wereturtle.github.io/ghostwriter/
#Vcs-Git: git://git.debian.org/collab-maint/ghostwriter.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostwriter.git;a=summary

Package: ghostwriter
Architecture: any
Depends: libqt5concurrent5,
         libqt5printsupport5,
         libqt5svg5,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: hunspell-dictionary, myspell-dictionary
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## ghostwriter 1.7.4

=== debian/changelog ===
ghostwriter (1.7.4-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 29 Mar 2019 12:14:06 -0700

ghostwriter (1.7.4-2) unstable; urgency=medium

  * debian/copyright: addition of CC-BY-SA-4.0 license. (Closes: #923837)
  * debian/control: updated fields Vcs-Git and Vcs-Browser. (Closes: #923838)

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Wed, 06 Mar 2019 01:07:36 +0100

ghostwriter (1.7.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: add suggestions cmark, discount, pandoc, wkhtmltopdf.
    (Closes: #917243)
  * removal spelling.patch

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Tue, 25 Dec 2018 19:46:52 +0100

ghostwriter (1.7.3-1) unstable; urgency=medium

  * New package. (Closes: #894260)

 -- ghost <i@ghosts.work>  Sun, 14 Oct 2018 11:25:00 +0000

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
Uploaders: ghost <i@ghosts.work>
Build-Depends: debhelper (>= 10),
		qtbase5-dev,
		qtmultimedia5-dev,
		libqt5webkit5-dev,
		libhunspell-dev,
		pkg-config,
		qttools5-dev-tools
Standards-Version: 4.3.0
Homepage: https://wereturtle.github.io/ghostwriter/
Vcs-Git: https://salsa.debian.org/seb95-guest/ghostwriter.git
Vcs-Browser: https://salsa.debian.org/seb95-guest/ghostwriter

Package: ghostwriter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: hunspell-dictionary, myspell-dictionary, cmark, discount, pandoc, wkhtmltopdf
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

## ghostwriter 1.7.4%2Bqtbuild

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
+Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
 Uploaders: ghost <i@ghosts.work>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 		qtbase5-dev,
 		qtmultimedia5-dev,
 		libqt5webkit5-dev,

## ghostwriter 1.7.4+qtbuild

=== debian/changelog ===
ghostwriter (1.7.4+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Wed, 27 Jan 2021 17:48:09 +0800

## ghostwriter 1.8.0

=== debian/changelog ===
ghostwriter (1.8.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:02 +0100

ghostwriter (1.8.0-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Fri, 26 Jul 2019 19:33:51 +0200

ghostwriter (1.8.0-1) experimental; urgency=medium

  * New upstream release
  * removal clean-deps.patch
  * debian/control: change dependencies from QtWebKit to QtWebEngine

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Mon, 29 Apr 2019 08:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: ghost <i@ghosts.work>
 Build-Depends: debhelper (>= 11),
 		qtbase5-dev,
+		libqt5svg5-dev,
 		qtmultimedia5-dev,
-		libqt5webkit5-dev,
+		qtwebengine5-dev,
 		libhunspell-dev,
 		pkg-config,
 		qttools5-dev-tools
@@ -17,7 +18,9 @@
 
 Package: ghostwriter
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libqt5concurrent5,
+         libqt5svg5,
+         ${misc:Depends},
          ${shlibs:Depends},
 Suggests: hunspell-dictionary, myspell-dictionary, cmark, discount, pandoc, wkhtmltopdf
 Description: Distraction-free, themeable Markdown editor

## ghostwriter 1.8.1

=== debian/changelog ===
ghostwriter (1.8.1-2) unstable; urgency=medium

  * add fix-build-with-Qt-5.15.patch (Closes: #975159)

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Mon, 23 Nov 2020 16:18:25 +0100

ghostwriter (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set Standards-Version: to 4.5.0

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Sun, 23 Feb 2020 12:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 		libhunspell-dev,
 		pkg-config,
 		qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://wereturtle.github.io/ghostwriter/
 Vcs-Git: https://salsa.debian.org/seb95-guest/ghostwriter.git
 Vcs-Browser: https://salsa.debian.org/seb95-guest/ghostwriter

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_clean:
	rm -f ./Makefile ./.qmake.stash
	rm -f ./debian/substvars
	rm -rf ./build/

=== debian/watch ===
version=3
https://github.com/wereturtle/ghostwriter/releases /wereturtle/ghostwriter/archive/v(.+)\.tar\.gz debian uupdate

## ghostwriter 2.0.2

=== debian/changelog ===
ghostwriter (2.0.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * new version which fixes the offline preview bug  (Closes: #999658)

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Wed, 24 Nov 2021 14:24:27 +0100

ghostwriter (2.0.2-2) unstable; urgency=medium

  * debian/watch: address correction 

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Sat, 30 Oct 2021 20:17:09 +0200

ghostwriter (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Thu, 28 Oct 2021 13:24:15 +0200

## ghostwriter 2.1.0

=== debian/changelog ===
ghostwriter (2.1.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Nov 2021 14:33:06 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
 Uploaders: ghost <i@ghosts.work>
 Build-Depends: debhelper (>= 11),
-		qtbase5-dev,
-		libqt5svg5-dev,
-		qtmultimedia5-dev,
-		qtwebengine5-dev,
-		libhunspell-dev,
-		pkg-config,
-		qttools5-dev-tools
+               libhunspell-dev,
+               libqt5svg5-dev,
+               pkg-config,
+               qtbase5-dev,
+               qtmultimedia5-dev,
+               qttools5-dev-tools,
+               qtwebengine5-dev
 Standards-Version: 4.5.0
 Homepage: https://wereturtle.github.io/ghostwriter/
 Vcs-Git: https://salsa.debian.org/seb95-guest/ghostwriter.git
@@ -18,11 +19,13 @@
 
 Package: ghostwriter
 Architecture: any
-Depends: libqt5concurrent5,
-         libqt5svg5,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Suggests: hunspell-dictionary, myspell-dictionary, cmark, discount, pandoc, wkhtmltopdf
+Depends: libqt5concurrent5, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Suggests: cmark,
+          discount,
+          hunspell-dictionary,
+          myspell-dictionary,
+          pandoc,
+          wkhtmltopdf
 Description: Distraction-free, themeable Markdown editor
  ghostwriter is a Markdown editor that provides a themable,
  distraction-free writing environment, along with a live HTML

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	rm -f ./Makefile ./.qmake.stash
 	rm -f ./debian/substvars
 	rm -rf ./build/
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## ghostwriter 2.1.1

=== debian/changelog ===
ghostwriter (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Sun, 26 Dec 2021 10:44:03 +0100

ghostwriter (2.1.0-2) unstable; urgency=medium

  * debian/control: list of architectures changed 

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Wed, 24 Nov 2021 14:59:38 +0100

ghostwriter (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Sun, 21 Nov 2021 11:20:41 +0100

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
Uploaders: ghost <i@ghosts.work>
Build-Depends: debhelper (>= 11),
		qtbase5-dev,
		libqt5svg5-dev,
		qtmultimedia5-dev,
		qtwebengine5-dev,
		libhunspell-dev,
		pkg-config,
		qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://wereturtle.github.io/ghostwriter/
Vcs-Git: https://salsa.debian.org/seb95-guest/ghostwriter.git
Vcs-Browser: https://salsa.debian.org/seb95-guest/ghostwriter

Package: ghostwriter
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: libqt5concurrent5,
         libqt5svg5,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: hunspell-dictionary, myspell-dictionary, cmark, discount, pandoc, wkhtmltopdf
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ghostwriter-$1\.tar\.gz/ \
  https://github.com/wereturtle/ghostwriter/releases .*/v?(\d\S+)\.tar\.gz debian uupdate

## ghostwriter 2.1.6%2Bds

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto https://invent.kde.org/office/ghostwriter/tags?sort=updated_desc archive/@ANY_VERSION@/ghostwriter-\d\S*@ARCHIVE_EXT@

## ghostwriter 2.1.6+ds

=== autotest/CMakeLists.txt ===
################################################################################
#
# Copyright (C) 2022 wereturtle
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

cmake_minimum_required(VERSION 3.16)

project(unittest VERSION 1.0.0 LANGUAGES CXX)

add_subdirectory(asynctextwriter)
add_subdirectory(bookmark)
add_subdirectory(library)

enable_testing(true)

=== 3rdparty/QtAwesome/CMakeLists.txt ===

option(QTAWESOME_USE_FREE "Use Font Awesome Free" OFF)
option(QTAWESOME_USE_PRO "Use Font Awesome Pro" OFF)

if(QTAWESOME_USE_FREE AND NOT QTAWESOME_USE_PRO)
  message(STATUS "Using Font Awesome Free")
  set(_config Free)
elseif(QTAWESOME_USE_PRO AND NOT QTAWESOME_USE_FREE)
  message(STATUS "Using Font Awesome Pro")
  set(_config Pro)
else()
  message(FATAL_ERROR
    "Define one and only one of QTAWESOME_USE_FREE or QTAWESOME_USE_PRO"
  )
endif()

set(SOURCES
  QtAwesomeAnim.cpp
  QtAwesomeAnim.h
  QtAwesome.cpp
  QtAwesome.h
)

find_package(Qt5 COMPONENTS Gui Widgets)

if(NOT TARGET QtAwesome)
  add_library(QtAwesome
    ${SOURCES}
    QtAwesome${_config}.qrc
  )
endif()
target_include_directories(QtAwesome
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)
set_target_properties(QtAwesome PROPERTIES
  AUTOMOC TRUE
  AUTORCC TRUE
)
target_link_libraries(QtAwesome Qt5::Gui Qt5::Widgets)

if(_config STREQUAL "Pro")
  target_compile_definitions(QtAwesome INTERFACE
    FONT_AWESOME_PRO=1
  )
endif()

unset(_config)

=== autotest/asynctextwriter/CMakeLists.txt ===
################################################################################
#
# Copyright (C) 2022 wereturtle
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

cmake_minimum_required(VERSION 3.16)

project(asynctextwritertest VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Test Concurrent Widgets)
endif()

qt_standard_project_setup()

add_executable(asynctextwritertest
    asynctextwritertest.cpp
    ../../src/asynctextwriter.h
    ../../src/asynctextwriter.cpp
)

add_test(asynctextwritertest asynctextwritertest)
enable_testing(true)

target_link_libraries(asynctextwritertest PRIVATE Qt::Core Qt::Test Qt::Concurrent Qt::Widgets)

=== autotest/bookmark/CMakeLists.txt ===
################################################################################
#
# Copyright (C) 2022 wereturtle
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

cmake_minimum_required(VERSION 3.16)

project(bookmarktest VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Test Concurrent Widgets)
endif()

qt_standard_project_setup()

add_executable(bookmarktest
    bookmarktest.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
)

add_test(bookmarktest bookmarktest)
enable_testing(true)

target_link_libraries(bookmarktest PRIVATE Qt::Core Qt::Test Qt::Concurrent Qt::Widgets)

=== autotest/library/CMakeLists.txt ===
################################################################################
#
# Copyright (C) 2022 wereturtle
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

cmake_minimum_required(VERSION 3.16)

project(librarytest VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Test Concurrent Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Test Concurrent Widgets)
endif()

qt_standard_project_setup()

add_executable(librarytest
    librarytest.cpp
    ../../src/library.h
    ../../src/library.cpp
    ../../src/bookmark.h
    ../../src/bookmark.cpp
)

add_test(librarytest librarytest)
enable_testing(true)

target_link_libraries(librarytest PRIVATE Qt::Core Qt::Test Qt::Concurrent Qt::Widgets)

=== debian/changelog ===
ghostwriter (2.1.6+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop debian/dirs, as all the needed directories are created during the
    installation.
  * Update Vcs-* fields.
  * Drop the hardcoded libqt5concurrent5 dependency: it will be listed if
    actually needed.
  * Add the configuration for the CI on salsa.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Add Rules-Requires-Root: no.
  * Switch Architecture to any: it is already limited (w.r.t. the architectures
    on which it builds) by qtwebengine5-dev, so no need to maintain our own
    architecture list.
  * Fix/simplify cleaning:
    - add a debian/clean file to remove the leftovers of the build directory
    - drop the dh_auto_clean override: everything it does is already done by
      either dh_auto_clean (which was improperly skipped before), or by
      debian/clean
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Dec 2022 14:48:25 +0100

ghostwriter (2.1.6+ds-1) unstable; urgency=medium

  [ Sebastien CHAVAUX ]
  * New upstream release.
  * debian/control: set Standards-Version: to 4.6.1
  * debian/control: address correction
  * debian/watch: address correction
  * vulnerability patched in 3rdparty/cmark-gfm CVE-2022-24724, CVE-2022-39209
  (Closes: #1006757).

  [ Aurélien COUDERC ]
  * Point watch file to the invent.kde.org GitLab repo tags until we get a
    proper upstream release.
  * Add explanation for source lintian overrides.
  * Bump Standards-Version to 4.6.2, no change required.
  * Review copyright information.
  * Replace debian/compat with debhelper-compat build dependency, bump
    compatibility version to 13.
  * Use Debian KDE Extras Team as the maintainer, move Sebastien CHAVAUX
    to uploaders.
  * Added myself to the uploaders.
  * Replace vendored libcmark-gfm with the system one.
  * Add copyright information for vendored libraries.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 21 Dec 2022 22:51:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
-Uploaders: ghost <i@ghosts.work>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sebastien CHAVAUX <seb95.scou@gmail.com>,
+Build-Depends: debhelper-compat (= 13),
 		qtbase5-dev,
 		libqt5svg5-dev,
 		qtmultimedia5-dev,
 		qtwebengine5-dev,
+                libcmark-gfm-dev,
+                libcmark-gfm-extensions-dev,
 		libhunspell-dev,
 		pkg-config,
 		qttools5-dev-tools
-Standards-Version: 4.5.0
-Homepage: https://wereturtle.github.io/ghostwriter/
-Vcs-Git: https://salsa.debian.org/seb95-guest/ghostwriter.git
-Vcs-Browser: https://salsa.debian.org/seb95-guest/ghostwriter
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://ghostwriter.kde.org/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ghostwriter.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ghostwriter
 
 Package: ghostwriter
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
-Depends: libqt5concurrent5,
-         libqt5svg5,
+Architecture: any
+Depends: libqt5svg5,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: hunspell-dictionary, myspell-dictionary, cmark, discount, pandoc, wkhtmltopdf

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@

## ghostwriter 23.04.2+ds

=== debian/changelog ===
ghostwriter (23.04.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * ghostwriter is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - add cmake, extra-cmake-modules, libqt5webchannel5-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5doctools-dev,
      libkf5sonnet-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - replace qttools5-dev-tools with qttools5-dev, as now its cmake development
      files are needed
    - drop qtmultimedia5-dev, no more used
  * Add the dh-sequence-kf5 build dependency to use the kf5 dh addon, needed
    now that KF5 is used.
  * Update the patches:
    - replace-vendored-libcmark-gfm-with-system.patch: update & rewrite the
      buildsystem part for cmake
  * Drop debian/clean, no more needed since the build is done with cmake
    (and thus the build directory is cleaned automatically by dh).
  * Remove from Files-Excluded in copyright the bits that are not shipped
    anymore.
  * Drop no more needed QT_SELECT=qt5 in rules.

 -- Pino Toscano <pino@debian.org>  Wed, 14 Jun 2023 20:51:29 +0200

## ghostwriter 23.04.3+ds

=== debian/changelog ===
ghostwriter (23.04.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit b76b14a00069a2d544b615ad6dc8f9cbdc678982 to include
    <cstdint> where needed; patch upstream_Include-cstdint-where-needed.patch
    (Closes: #1042052)
    - refresh patch replace-vendored-libcmark-gfm-with-system.patch

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jul 2023 04:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,33 @@
 Source: ghostwriter
 Section: editors
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sebastien CHAVAUX <seb95.scou@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
-		qtbase5-dev,
-		libqt5svg5-dev,
-		qtmultimedia5-dev,
-		qtwebengine5-dev,
-                libcmark-gfm-dev,
-                libcmark-gfm-extensions-dev,
-		libhunspell-dev,
-		pkg-config,
-		qttools5-dev-tools
+               dh-sequence-kf5,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.90.0~),
+               qtbase5-dev (>= 5.15.2~),
+               libqt5svg5-dev (>= 5.15.2~),
+               libqt5webchannel5-dev (>= 5.15.2~),
+               qtwebengine5-dev (>= 5.15.2~),
+               libcmark-gfm-dev,
+               libcmark-gfm-extensions-dev,
+               libhunspell-dev,
+               pkg-config,
+               qttools5-dev (>= 5.15.2~),
+               libkf5configwidgets-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5doctools-dev (>= 5.90.0~),
+               libkf5sonnet-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ghostwriter.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ghostwriter.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ghostwriter
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ghostwriter.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ghostwriter
 
 Package: ghostwriter
 Architecture: any

## ghostwriter 23.08.0+ds

=== debian/changelog ===
ghostwriter (23.08.0+ds-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 11:34:36 +0100

ghostwriter (23.07.90+ds-0ubuntu1) mantic; urgency=medium

  * New upstream (RC) release (23.07.90)
  * Drop included upstream_Include-cstdint-where-needed.patch
  * Update replace-vendored-libcmark-gfm-with-system.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Aug 2023 08:42:05 +0100

## ghostwriter 23.08.1+ds

=== debian/changelog ===
ghostwriter (23.08.1+ds-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Sep 2023 16:05:58 +0100

=== debian/control ===
Source: ghostwriter
Section: editors
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sebastien CHAVAUX <seb95.scou@gmail.com>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               libcmark-gfm-dev,
               libcmark-gfm-extensions-dev,
               libhunspell-dev,
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5sonnet-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5webchannel5-dev (>= 5.15.2~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://ghostwriter.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ghostwriter
Rules-Requires-Root: no

Package: ghostwriter
Architecture: any
Depends: libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
Suggests: cmark,
          discount,
          hunspell-dictionary,
          myspell-dictionary,
          pandoc,
          wkhtmltopdf,
Description: Distraction-free, themeable Markdown editor
 ghostwriter is a Markdown editor that provides a themable,
 distraction-free writing environment, along with a live HTML
 preview as you type, easy document navigation with an outline HUD,
 and export to popular document formats with Sundown, Pandoc,
 MultiMarkdown, Discount, cmark, or cmark-gfm processors.  It also
 features a live word count and auto-save. Eliminate distractions in
 fullscreen mode, or concentrate on the current text you are writing
 in focus mode.  It even remembers your last opened file and position
 within the file, so you can pick up where you last left off.

## ghostwriter 23.08.3+ds

=== debian/changelog ===
ghostwriter (23.08.3+ds-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 12:00:28 +0000

## ghostwriter 23.08.4+ds

=== debian/changelog ===
ghostwriter (23.08.4+ds-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Dec 2023 10:33:05 +0000

## ghostwriter 23.08.5%2Bds

=== autotest/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(unittest VERSION 1.0.0 LANGUAGES CXX)

add_subdirectory(asynctextwriter)
add_subdirectory(bookmark)
add_subdirectory(library)

enable_testing(true)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2023 Megan Conkle <megan.conkle@kdemail.net>
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(UI_FILES settings/preferencesdialog.ui)

add_executable(ghostwriter ../resources.qrc ${UI_FILES})

target_compile_definitions(ghostwriter PRIVATE APPVERSION="${RELEASE_SERVICE_VERSION}")

target_include_directories(ghostwriter PUBLIC
    "${PROJECT_BINARY_DIR}"
    "${PROJECT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_BINARY_DIR}/../3rdparty/cmark-gfm/src"
    "${PROJECT_SOURCE_DIR}/3rdparty/QtAwesome"
)

ecm_create_qm_loader(ghostwriter_QM_LOADER ghostwriter_qt)

target_sources(ghostwriter PRIVATE
    editor/actions/inlinemarkuptoggle.cpp
    editor/asynctextwriter.cpp
    editor/markdowndocument.cpp
    editor/markdowneditor.cpp
    editor/markdownhighlighter.cpp
    editor/textblockdata.h
    export/cmarkgfmexporter.cpp
    export/commandlineexporter.cpp
    export/exportdialog.cpp
    export/exporter.cpp
    export/exporterfactory.cpp
    export/exportformat.cpp
    markdown/cmarkgfmapi.cpp
    markdown/markdownast.cpp
    markdown/markdownnode.cpp
    markdown/memoryarena.cpp
    preview/htmlpreview.cpp
    preview/previewproxy.cpp
    preview/sandboxedwebpage.cpp
    settings/appsettings.cpp
    settings/localedialog.cpp
    settings/preferencesdialog.cpp
    settings/previewoptionsdialog.cpp
    settings/simplefontdialog.cpp
    spelling/spellcheckdecorator.cpp
    spelling/spellcheckdialog.cpp
    statistics/abstractstatisticswidget.cpp
    statistics/documentstatistics.cpp
    statistics/documentstatisticswidget.cpp
    statistics/sessionstatistics.cpp
    statistics/sessionstatisticswidget.cpp
    statistics/statisticsindicator.cpp
    theme/colorschemepreviewer.cpp
    theme/stylesheetbuilder.cpp
    theme/theme.cpp
    theme/themeeditordialog.cpp
    theme/themerepository.cpp
    theme/themeselectiondialog.cpp
    appmain.cpp
    bookmark.cpp
    documentmanager.cpp
    findreplace.cpp
    library.cpp
    mainwindow.cpp
    messageboxhelper.cpp
    outlinewidget.cpp
    sidebar.cpp
    timelabel.cpp
    ${ghostwriter_QM_LOADER}
)


if (UNIX)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(Hunspell REQUIRED IMPORTED_TARGET hunspell)
    target_link_libraries(ghostwriter PRIVATE PkgConfig::Hunspell)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Concurrent
    Widgets
    Svg
    WebChannel
    Gui
    WebEngineWidgets
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
endif()

find_package(
    KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS
    Sonnet
    CoreAddons
    XmlGui
    ConfigWidgets
    WidgetsAddons
)

# For whatever reason, MSVC has issues statically linking with cmark-gfm.
if (MSVC)
    set(CMARK_LIBS
        libcmark-gfm
        libcmark-gfm-extensions
    )
else()
    set(CMARK_LIBS
        libcmark-gfm_static
        libcmark-gfm-extensions_static
    )
endif()

target_link_libraries(ghostwriter PRIVATE
    Qt::Core
    Qt::Concurrent
    Qt::Widgets
    Qt::Svg
    Qt::WebChannel
    Qt::Gui
    Qt::WebEngineWidgets
    KF${KF_MAJOR_VERSION}::SonnetCore
    KF${KF_MAJOR_VERSION}::SonnetUi
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::XmlGui
    KF${KF_MAJOR_VERSION}::ConfigWidgets
    QtAwesome
    ${CMARK_LIBS}
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(ghostwriter PRIVATE
        Qt::Core5Compat
    )
endif()

set_target_properties(ghostwriter PROPERTIES
    WIN32_EXECUTABLE ON
    MACOSX_BUNDLE ON
)
